ForkedGrailsProjectClassExecutor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.fork
[Groovy] Class ForkedGrailsProjectClassExecutor

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ForkedGrailsProcess
          org.codehaus.groovy.grails.cli.fork.ForkedGrailsProjectClassExecutor

    @groovy.transform.CompileStatic
    abstract class ForkedGrailsProjectClassExecutor
    extends ForkedGrailsProcess

Base class that deals with the setup logic needed to run a Grails build system component (GrailsProjectCompiler, GrailsProjectLoader, GrailsProjectRunner etc.) in a forked process.

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class ForkedGrailsProcess
DEBUG_FORK, DEFAULT_DAEMON_PORT, DEFAULT_DEBUG_ARGS

Constructor Summary
`ForkedGrailsProjectClassExecutor(BuildSettings buildSettings)`
`protected ForkedGrailsProjectClassExecutor()`

Method Summary
`protected GrailsBuildEventListener` | `createEventListener(groovy.lang.Binding executionContext)`
`protected ExecutionContext` | `createExecutionContext()`
`protected groovy.lang.Binding` | `createExecutionContext(BuildSettings buildSettings, PluginBuildSettings pluginSettings)`
`protected java.lang.Object` | `createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)`
`protected java.lang.String` | `getProjectClassType()`
`protected java.lang.Object` | `initializeProjectInstance()`
`protected int` | `run()`
`int` | `runInstance(java.lang.Object instance)`

Methods inherited from class ForkedGrailsProcess
attachOutputListener, buildMinimalIsolatedClasspath, buildProcessCommand, configure, configureFork, createClassLoader, discoverAndSetAgent, findJarFile, findSystemClasspathJars, findToolsJar, fork, forkDaemon, forkReserve, forkReserveProcess, getBoostrapClasspath, getResumeDir, initializeBuildSettings, initializeClassLoader, initializeLogging, isDaemonProcess, isDaemonRunning, isDebugForkEnabled, isForkingReserveEnabled, isReserveProcess, isWindows, killAfterTimeout, readExecutionContext, readExecutionContext, readLine, restartDaemon, runDaemonCommand, setupReloading, shouldRunWithDaemon, startDaemon, startProjectWatcher, storeExecutionContext, waitForResume

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ForkedGrailsProjectClassExecutor

    ForkedGrailsProjectClassExecutor(BuildSettings buildSettings)

### ForkedGrailsProjectClassExecutor

    protected ForkedGrailsProjectClassExecutor()

Method Detail

### createEventListener

    protected GrailsBuildEventListener createEventListener(groovy.lang.Binding executionContext)

### createExecutionContext

    protected ExecutionContext createExecutionContext()

### createExecutionContext

    protected groovy.lang.Binding createExecutionContext(BuildSettings buildSettings, PluginBuildSettings pluginSettings)

### createInstance

    protected java.lang.Object createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)

### getProjectClassType

    protected java.lang.String getProjectClassType()

### initializeProjectInstance

    protected java.lang.Object initializeProjectInstance()

### run

    protected final int run()

### runInstance

    int runInstance(java.lang.Object instance)

Groovy Documentation